Subject: RE: bug#1305: All code that currently beeps should usevisual bellinstead

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Nov 2008 13:20:04 -0800

> As Eli said, just get rid of gratuitous uses of the bell. 
> It's likely that there are plenty. And that will leave the more
> appropriate uses, if there are any.
> 
> Someone (Jason?) mentioned the bell when quitting and when an 
> error is raised. Those are very common uses that could no doubt
> be eliminated. Each error should display a message anyway, and
> there is no need for a bell when you quit (C-q). Getting rid of
> even just those occurrences would take care of much of the
> annoyance.
> 
> Or if you prefer, leave those occurrences in, but add an 
> option or two: `bell-when-quit-flag' and `bell-when-error-flag'
> - with default values nil. Perhaps let the values be `bell',
> `visible-bell', `bell+visible-bell', and nil.

Let me draw your attention to this suggestion about having multiple ding levels:
http://thread.gmane.org/gmane.emacs.devel/74539/focus=74564

There were no replies to that suggestion, but perhaps it becomes more relevant
in the current context.